<div>
    <h2>
        <span jhiTranslate="mpmApp.masterDistributor.home.title">Master Distributors</span>
        <button class="btn btn-primary float-right jh-create-entity create-master-distributor" [routerLink]="['/', { outlets: { popup: ['master-distributor-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.masterDistributor.home.createLabel">
            Create new Master Distributor
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.masterDistributor.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="masterDistributors">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_code"><span jhiTranslate="mpmApp.masterDistributor.cust_code">Cust Code</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_name"><span jhiTranslate="mpmApp.masterDistributor.cust_name">Cust Name</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_nick"><span jhiTranslate="mpmApp.masterDistributor.cust_nick">Cust Nick</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_addr"><span jhiTranslate="mpmApp.masterDistributor.cust_addr">Cust Addr</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_addr2"><span jhiTranslate="mpmApp.masterDistributor.cust_addr2">Cust Addr 2</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_addr3"><span jhiTranslate="mpmApp.masterDistributor.cust_addr3">Cust Addr 3</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_send"><span jhiTranslate="mpmApp.masterDistributor.cust_send">Cust Send</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_send2"><span jhiTranslate="mpmApp.masterDistributor.cust_send2">Cust Send 2</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_send3"><span jhiTranslate="mpmApp.masterDistributor.cust_send3">Cust Send 3</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_phone"><span jhiTranslate="mpmApp.masterDistributor.cust_phone">Cust Phone</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_pic"><span jhiTranslate="mpmApp.masterDistributor.cust_pic">Cust Pic</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_limit"><span jhiTranslate="mpmApp.masterDistributor.cust_limit">Cust Limit</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let masterDistributor of masterDistributors ;trackBy: trackId">
                <td><a [routerLink]="['../master-distributor', masterDistributor.id ]">{{masterDistributor.id}}</a></td>
                <td>{{masterDistributor.cust_code}}</td>
                <td>{{masterDistributor.cust_name}}</td>
                <td>{{masterDistributor.cust_nick}}</td>
                <td>{{masterDistributor.cust_addr}}</td>
                <td>{{masterDistributor.cust_addr2}}</td>
                <td>{{masterDistributor.cust_addr3}}</td>
                <td>{{masterDistributor.cust_send}}</td>
                <td>{{masterDistributor.cust_send2}}</td>
                <td>{{masterDistributor.cust_send3}}</td>
                <td>{{masterDistributor.cust_phone}}</td>
                <td>{{masterDistributor.cust_pic}}</td>
                <td>{{masterDistributor.cust_limit}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../master-distributor', masterDistributor.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'master-distributor/'+ masterDistributor.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'master-distributor/'+ masterDistributor.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="masterDistributors && masterDistributors.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
